Bids
These APIs allows developers integrating with the Eano platform to retrieve and interact with Bids that have been issued by contractors or other service providers on submitted Projects.
For POST requests, body data should be sent as JSON.
Getting Project Bids
GET /api/v1/external/bids
Currently we only expose the ability to retrieve Bids by Project.
| Parameter | Type | Comment |
|---|---|---|
project_id |
int |
The ID of the Project |
Note that this may be an empty response if no Bids have been submitted for a given Project.
Example response:
{
"code": 0,
"message": "success",
"data": {
"project_id": 3958,
"bids": [
{
"bidding_id": 3958,
"created_at": 1712651815,
"expires_at": 1712651251,
"total": 27000,
"currency": "USD",
"user": {
"name": "Cauchy and Associates",
"profile_image_url": "https://placehold.co/200x200.png"
}
}
]
}
}